import { getBannerAnchor } from '../notification-util';
/**
 * Shows the notificationStructure dialog
 * @public
 * @param notificationStructure - The NotificationStructure object
 * @param tagName - The tag name to create prefix for the design system provider & notificationStructure component
 * @param notificationBoundary - target listener for the notification
 * @returns
 * */
export const showBanner = (notificationStructure, tagName, notificationBoundary) => {
    const tagPrefix = tagName.split('-')[0];
    const banner = document.createElement(`${tagPrefix}-banner`);
    const container = getBannerAnchor(notificationBoundary);
    if (container?.children?.length > 0) {
        banner.style.position = 'absolute';
        banner.style.top = '0';
        banner.style.left = '0';
        banner.style.width = '100%';
    }
    container.appendChild(banner);
    banner.notification = notificationStructure;
};
